/*******************************************************************************
 * FoxAIAction_ThrowGrenade generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_ThrowGrenade extends FoxAIAction
    native(AI)
    editinlinenew
    hidecategories(Object);

// Export UFoxAIAction_ThrowGrenade::execInitialize(FFrame&, void* const)
native function bool Initialize();

// Export UFoxAIAction_ThrowGrenade::execTick(FFrame&, void* const)
native function Tick(float DeltaTime);

// Export UFoxAIAction_ThrowGrenade::execCleanup(FFrame&, void* const)
native function Cleanup();

defaultproperties
{
    Duration=1.50
    begin object name=ThrowGroup class=FoxAICondition_Group
        Conditions(0)=FoxAICondition_HasEnemy'Default__FoxAIAction_ThrowGrenade.HasEnemyTargetCondition'
        Conditions(1)=FoxAICondition_TargetRange'Default__FoxAIAction_ThrowGrenade.GrenadeRangeCondition'
    object end
    // Reference: FoxAICondition_Group'Default__FoxAIAction_ThrowGrenade.ThrowGroup'
    PreCondition=ThrowGroup
}